hpp-corbaserver: hpp::core_idl::PathVector Interface Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::core_idl::PathVector Interface Reference

`import </local/robotpkg/var/tmp/robotpkg/path/py-hpp-corbaserver/work/hpp-corbaserver-9.0.2/idl/hpp/core_idl/paths.idl;`

Inheritance diagram for hpp::core_idl::PathVector:
[legend]
Collaboration diagram for hpp::core_idl::PathVector:
[legend]

## Public Member Functions
size_t | numberPaths () raises (Error)
size_t | rankAtParam (in value_type param, out value_type localParam) raises (Error)
Path | pathAtRank (in size_t rank) raises (Error)
void | appendPath (in Path p) raises (Error)
void | concatenate (in PathVector p) raises (Error)
PathVector | flatten () raises (Error)
Public Member Functions inherited from hpp::core_idl::Path
size_type | outputSize () raises (Error)
size_type | outputDerivativeSize () raises (Error)
value_type | length () raises (Error)
floatSeq | initial () raises (Error)
floatSeq | end () raises (Error)
ConstraintSet | constraints () raises (Error)
string | str () raises (Error)
floatSeq | call (in value_type t, out boolean success) raises (Error)
floatSeq | at (in value_type t, out boolean success) raises (Error)
floatSeq | derivative (in value_type t, in short order) raises (Error)
Path | extract (in value_type tmin, in value_type tmax) raises (Error)
PathVector | asVector () raises (Error)
Path | reverse () raises (Error)

## Member Function Documentation

## ◆ appendPath()

void hpp::core_idl::PathVector::appendPath | ( | in Path | p | ) |
raises | ( | Error
| ) |  |

## ◆ concatenate()

void hpp::core_idl::PathVector::concatenate | ( | in PathVector | p | ) |
raises | ( | Error
| ) |  |

## ◆ flatten()

PathVector hpp::core_idl::PathVector::flatten | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ numberPaths()

size_t hpp::core_idl::PathVector::numberPaths | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ pathAtRank()

Path hpp::core_idl::PathVector::pathAtRank | ( | in size_t | rank | ) |
raises | ( | Error
| ) |  |

## ◆ rankAtParam()

size_t hpp::core_idl::PathVector::rankAtParam | ( | in value_type | param,
|  | out value_type | localParam
| ) |  |
raises | ( | Error
| ) |  |

The documentation for this interface was generated from the following file:

- idl/hpp/core_idl/paths.idl